Page MenuHomePhabricator

Cursor jumping to next field and overlapping of menus
Closed, ResolvedPublic

Description

User case:
I want to add a new statement. Because I know the property, I type it directly in the field. If I type the exact name of the property, the cursor jumps directly to the next field(taking by default as a property the first suggestion on the drop down menu), but the menu of suggestion is still open. Then I start typing the value, two menus are overlapping and the menu of the values is under, so I can't read its content.
Screenshoots/Mockups

Questions:

  • Jumping to next field if I type the exact property name: is it really a user need? Is it more useful or confusing? -> it was a nice thought. Let's remove it.
  • Closing the menus: is this feature really adapted for people who work with keyboard only?

To fix:

  • overlapping of menus

Event Timeline

Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald TranscriptAug 9 2017, 6:57 PM

This task is the same as this one T149798 and this one T186584.

Change 504532 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Close entityselector after selecting exact match

https://gerrit.wikimedia.org/r/504532

Change 504532 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Close entityselector after selecting exact match

https://gerrit.wikimedia.org/r/504532

Lea_Lacroix_WMDE reopened this task as Open.May 9 2019, 12:00 PM

Reopened as we reverted the change that apparently caused T222346

Change 509043 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] Revert "Close entityselector after selecting exact match"

https://gerrit.wikimedia.org/r/509043

Change 509043 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Revert "Close entityselector after selecting exact match"

https://gerrit.wikimedia.org/r/509043

Change 509050 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@wmf/1.34.0-wmf.4] Revert "Close entityselector after selecting exact match"

https://gerrit.wikimedia.org/r/509050

Nikki added a comment.May 9 2019, 12:56 PM

Is there a reason this was implemented by closing the search results on an exact match and not by removing the automatic jumping between fields?

As I wrote in T149798, I would prefer it to not automatically jump. It makes it harder to select properties which have longer labels, e.g. typing "country" when you want to find "country of citizenship" is entirely reasonable.

Envlh added a comment.May 9 2019, 6:02 PM

I did not had the opportunity to test the fix before it was reverted, but I totally agree with @Nikki.

The revert of the fix hasn’t been deployed yet, test away…

Change 509050 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.34.0-wmf.4] Revert "Close entityselector after selecting exact match"

https://gerrit.wikimedia.org/r/509050

Mentioned in SAL (#wikimedia-operations) [2019-05-09T23:41:14Z] <ebernhardson@deploy1001> Synchronized php-1.34.0-wmf.4/extensions/Wikibase/view/resources/jquery/wikibase/jquery.wikibase.entityselector.js: T172937 T222346 Revert Close entityselector after selecting exact match (duration: 00m 51s)

@Nikki @Envlh Thanks for your feedback. We will take the opportunity of this revert to consider other options.

Michael added a subscriber: Michael.

Moving it back to "Needs work" column, because it is unclear what exactly is to be done.

The current status would be to change the current behaviour and stop automatically jumping from a field to another. Yet to be confirmed by @Lydia_Pintscher (and maybe deserves a new task)

Envlh added a comment.Sep 3 2019, 11:18 AM

Just a kind reminder that I reported this issue at Wikimania 2017.

Another use case: I want to add a statement with the UI in French, for instance a date, but I don't know yet what property I want to use. I type "date" in the field of the property, expecting to be able to choose what property to use. As the order of suggested properties is different for each item, the actual behavior is random:

  • if the property P585 (labelled "date" in French) is the first suggested one, the focus immediately jumps to the value field, letting the drop-down menu of suggested properties open; I then need to go back to the previous field to choose a property (see screenshot);
  • if any other property is the first suggested one, everything is fine and I'm able to choose a property.

I agree with @Nikki that the jumping should be avoided in all cases.

@Lydia_Pintscher Can we consider removing the automatic jump to next field and let the users decide when they are finished with filling out a field?

Addshore removed hoo as the assignee of this task.Sep 3 2019, 1:17 PM
Addshore added a subscriber: hoo.
Addshore added a subscriber: Addshore.

I'm guessing this shouldn't still be subscribed to @hoo

Alright. Let's remove the jumping.

Lydia_Pintscher moved this task from Needs Work to Ready to estimate on the Wikidata-Campsite board.